Name:           cheese-release
Version:        17
Release:        2
Summary:        cheese Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://www.nosuchhost.net/~cheese/fedora/packages
Source1:        cheese.repo
#Source16:       RPM-GPG-KEY-cheese-fedora-16-primary
Source17:       RPM-GPG-KEY-cheese-fedora-17-primary
#Source18:       RPM-GPG-KEY-cheese-fedora-18-primary
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       system-release >= %{version}

%description
cheese repository contains open source and other distributable software for
Fedora. 

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key
%{__install} -Dp -m644 \
    %{SOURCE17} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

# Avoid using basearch in name for the key. Introduced in F18
#ln -s $(basename %{SOURCE16}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-16
ln -s $(basename %{SOURCE17}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-17
#ln -s $(basename %{SOURCE18}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-18
for arch in i386 x86_64; do
#    ln -s RPM-GPG-KEY-cheese-fedora-16-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-16-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-17-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-17-$arch
#    ln -s RPM-GPG-KEY-cheese-fedora-18-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-18-$arch
done

# Yum .repo files
%{__install} -p -m644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Sun Apr 07 2013 josef radinger <cheese@nosuchhost.net> - 17-2
- fix

* Thu Mar 28 2013 josef radinger <cheese@nosuchhost.net> - 16-2
- fix

* Thu Mar 28 2013 josef radinger <cheese@nosuchhost.net> - 16-1
- initial version
